package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF8G6 extends MwfRequest<MWF8G6, MWF8G6Response> {

    @Parameter(name = "ActivatingPassword")
    MWF8G6 activatingPassword(String activatingPassword);
    @Parameter(name = "AppBranchId")
    MWF8G6 appBranchId(String appBranchId);
    @Parameter(name = "AppChannelId")
    MWF8G6 appChannelId(String appChannelId);
    @Parameter(name = "AppSetKey")
    MWF8G6 appSetKey(Long appSetKey);
    @Parameter(name = "BusinessType")
    MWF8G6 businessType(String businessType);
    @Parameter(name = "ClientBirthCountry")
    MWF8G6 clientBirthCountry(String clientBirthCountry);
    @Parameter(name = "ClientBirthDate")
    MWF8G6 clientBirthDate(java.util.Date clientBirthDate);
    @Parameter(name = "ClientBirthNumber")
    MWF8G6 clientBirthNumber(String clientBirthNumber);
    @Parameter(name = "ClientBirthPlace")
    MWF8G6 clientBirthPlace(String clientBirthPlace);
    @Parameter(name = "ClientBusEmployeeCount")
    MWF8G6 clientBusEmployeeCount(Long clientBusEmployeeCount);
    @Parameter(name = "ClientBusGrossIncomeLastYear")
    MWF8G6 clientBusGrossIncomeLastYear(Double clientBusGrossIncomeLastYear);
    @Parameter(name = "ClientBusName")
    MWF8G6 clientBusName(String clientBusName);
    @Parameter(name = "ClientBusSector")
    MWF8G6 clientBusSector(String clientBusSector);
    @Parameter(name = "ClientBusStartDate")
    MWF8G6 clientBusStartDate(java.util.Date clientBusStartDate);
    @Parameter(name = "ClientCitizenship")
    MWF8G6 clientCitizenship(String clientCitizenship);
    @Parameter(name = "ClientDependPersons")
    MWF8G6 clientDependPersons(Long clientDependPersons);
    @Parameter(name = "ClientEducation")
    MWF8G6 clientEducation(String clientEducation);
    @Parameter(name = "ClientEmploymentType")
    MWF8G6 clientEmploymentType(String clientEmploymentType);
    @Parameter(name = "ClientFamilyBusFlag")
    MWF8G6 clientFamilyBusFlag(String clientFamilyBusFlag);
    @Parameter(name = "ClientFamilyBusProfitSharePct")
    MWF8G6 clientFamilyBusProfitSharePct(Double clientFamilyBusProfitSharePct);
    @Parameter(name = "ClientFixedPerFlag")
    MWF8G6 clientFixedPerFlag(String clientFixedPerFlag);
    @Parameter(name = "ClientForename")
    MWF8G6 clientForename(String clientForename);
    @Parameter(name = "ClientHousingType")
    MWF8G6 clientHousingType(String clientHousingType);
    @Parameter(name = "ClientIco")
    MWF8G6 clientIco(String clientIco);
    @Parameter(name = "ClientLegalForm")
    MWF8G6 clientLegalForm(String clientLegalForm);
    @Parameter(name = "ClientMaritalAssets")
    MWF8G6 clientMaritalAssets(String clientMaritalAssets);
    @Parameter(name = "ClientMaritalStatus")
    MWF8G6 clientMaritalStatus(String clientMaritalStatus);
    @Parameter(name = "ClientMiddleName")
    MWF8G6 clientMiddleName(String clientMiddleName);
    @Parameter(name = "ClientNameTitleAfter")
    MWF8G6 clientNameTitleAfter(String clientNameTitleAfter);
    @Parameter(name = "ClientNameTitleBefore")
    MWF8G6 clientNameTitleBefore(String clientNameTitleBefore);
    @Parameter(name = "ClientPresenceWithAllPersonsFlag")
    MWF8G6 clientPresenceWithAllPersonsFlag(String clientPresenceWithAllPersonsFlag);
    @Parameter(name = "ClientResidentFlag")
    MWF8G6 clientResidentFlag(String clientResidentFlag);
    @Parameter(name = "ClientSex")
    MWF8G6 clientSex(String clientSex);
    @Parameter(name = "ClientSurname")
    MWF8G6 clientSurname(String clientSurname);
    @Parameter(name = "ClientType")
    MWF8G6 clientType(String clientType);
    @Parameter(name = "CurrentAccountOpenFlag")
    MWF8G6 currentAccountOpenFlag(String currentAccountOpenFlag);
    @Parameter(name = "EmployeeSso")
    MWF8G6 employeeSso(String employeeSso);
    @Parameter(name = "IpAddress")
    MWF8G6 ipAddress(String ipAddress);
    @Parameter(name = "LoanAmount")
    MWF8G6 loanAmount(Double loanAmount);
    @Parameter(name = "LoanInstalmentDeferredCount")
    MWF8G6 loanInstalmentDeferredCount(Long loanInstalmentDeferredCount);
    @Parameter(name = "LoanInstalmentRegularDay")
    MWF8G6 loanInstalmentRegularDay(Long loanInstalmentRegularDay);
    @Parameter(name = "LoanInsuranceType")
    MWF8G6 loanInsuranceType(String loanInsuranceType);
    @Parameter(name = "LoanMaturityTerm")
    MWF8G6 loanMaturityTerm(Long loanMaturityTerm);
    @Parameter(name = "LoanRepaymentType")
    MWF8G6 loanRepaymentType(String loanRepaymentType);
    @Parameter(name = "OfficerForename")
    MWF8G6 officerForename(String officerForename);
    @Parameter(name = "OfficerFunctId")
    MWF8G6 officerFunctId(String officerFunctId);
    @Parameter(name = "OfficerKey")
    MWF8G6 officerKey(Long officerKey);
    @Parameter(name = "OfficerSurname")
    MWF8G6 officerSurname(String officerSurname);
    @Parameter(name = "RsAddresses")
    MWF8G6 rsAddresses(java.util.List<MWF8G6RsAddresses> rsAddresses);
    @Parameter(name = "RsEmails")
    MWF8G6 rsEmails(java.util.List<MWF8G6RsEmails> rsEmails);
    @Parameter(name = "RsIds")
    MWF8G6 rsIds(java.util.List<MWF8G6RsIds> rsIds);
    @Parameter(name = "RsNaces")
    MWF8G6 rsNaces(java.util.List<MWF8G6RsNaces> rsNaces);
    @Parameter(name = "RsPhones")
    MWF8G6 rsPhones(java.util.List<MWF8G6RsPhones> rsPhones);
}
